%define version		3.10.10
%define major		%{version}
%define libname		%mklibname opal %{major}
%define develname	%mklibname %{name} -d

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%endif

%if "%distro_section" == "tainted"
%global build_plf 1
%endif

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	VoIP library
Name:		opal3
Version:	%{version}
Release:	%mkrel 8
License:	MPL
Group:		System/Libraries
URL:		http://www.opalvoip.org/
Source0:	https://download.gnome.org/sources/opal/%{url_ver}/opal-%{version}.tar.xz
Patch0:		opal-3.10.7-fix-link.patch
Patch1:		opal-3.10.7-ffmpeg-0.11.patch
Patch2:		opal-3.10.10-ffmpeg-2.0.patch
BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	ptlib-devel >= 2.10.1
BuildRequires:	libspeex-devel
BuildRequires:	libtheora-devel
BuildRequires:	ffmpeg-devel
%if %{build_plf}
BuildRequires: x264-devel
%endif
#BuildRequires:	celt-devel >= 0.7.0

%description
This is an open source class library for the development of
applications that wish to use SIP / H.323 protocols for multimedia
communications over packet based networks.

%if %{build_plf}
This package is in the Tainted section because the H264 codec is covered by
patents.
%endif

%package -n	%{libname}-plugins
Summary:	Codec plugins for Opal
Group:		System/Libraries
Provides:	%{name}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3}-plugins < 3.4.1-2mdv

%description -n	%{libname}-plugins
PTlib codec plugins for various formats provided by Opal.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3} < 3.4.1-2mdv

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{develname}
Summary:	Opal development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Requires:	ptlib-devel >= 2.10.1
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname opal -d}

%description -n	%{develname}
Header files and libraries for developing applications that use
Opal.

%prep
%setup -q -n opal-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# remove incorrect symlinks (http://bugzilla.gnome.org/show_bug.cgi?id=553808 )
rm -f %{buildroot}%{_libdir}/libopal.so.?
rm -f %{buildroot}%{_libdir}/libopal.so.?.?
rm -f %{buildroot}%{_libdir}/libopal.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libname}-plugins
%{_libdir}/opal-%{version}

%files -n %{develname}
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_libdir}/libopal_s.a
%{_libdir}/pkgconfig/opal.pc


%changelog
* Sun Mar 30 2014 daviddavid <daviddavid> 3.10.10-8.mga5
+ Revision: 610546
- rebuild for new x264

* Mon Feb 17 2014 luigiwalser <luigiwalser> 3.10.10-7.mga5
+ Revision: 593274
- rebuild for x264

* Sat Aug 24 2013 luigiwalser <luigiwalser> 3.10.10-6.mga4.tainted
+ Revision: 471290
- more ffmpeg fixes

* Sat Aug 24 2013 luigiwalser <luigiwalser> 3.10.10-5.mga4
+ Revision: 470998
- rebuild for x264

* Mon Aug 05 2013 fwang <fwang> 3.10.10-4.mga4
+ Revision: 463752
- fix build with recent ffmpeg

* Mon Jun 17 2013 luigiwalser <luigiwalser> 3.10.10-3.mga4.tainted
+ Revision: 443891
- rebuild for x264

* Tue Mar 19 2013 luigiwalser <luigiwalser> 3.10.10-2.mga3
+ Revision: 404040
- fix conflicting version macro
- rebuild for updated ptlib

* Wed Feb 20 2013 ovitters <ovitters> 3.10.10-1.mga3
+ Revision: 399572
- new version 3.10.10

* Sun Jan 13 2013 umeabot <umeabot> 3.10.9-2.mga3.tainted
+ Revision: 361868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 fwang <fwang> 3.10.9-1.mga3.tainted
+ Revision: 322284
- new version 3.10.9

* Sat Sep 15 2012 fwang <fwang> 3.10.7-2.mga3.tainted
+ Revision: 294226
- rebuild for new x264

* Mon Aug 27 2012 fwang <fwang> 3.10.7-1.mga3.tainted
+ Revision: 284551
- more ffmpeg patch

* Mon Aug 27 2012 fwang <fwang> 3.10.7-1.mga3
+ Revision: 284541
- more ffmpeg fixes
- fix build with latst ffmpeg
- rediff linkage patch
- new version 3.10.7

* Tue Aug 23 2011 fwang <fwang> 3.10.2-1.mga2
+ Revision: 134993
- rediff ffmpeg patch
- new version 3.10.2

* Wed Jul 20 2011 fwang <fwang> 3.10.1-1.mga2
+ Revision: 127507
- update file list
- update file list
- revert to type cast
- mofre ffmpeg 0.8 fix
- more ffmpeg 0.8 fix
- fix build with ffmpeg 0.8
- more build fix
- fix linkage
- new version 3.10.1

* Sun Jun 26 2011 fwang <fwang> 3.8.3-2.mga2.tainted
+ Revision: 114030
- rebuild for new x264

* Sat Jun 25 2011 ahmad <ahmad> 3.8.3-1.mga2.tainted
+ Revision: 113361
- Update to 3.8.3

* Sun Jun 19 2011 ahmad <ahmad> 3.6.8-4.mga2.tainted
+ Revision: 109571
- Replace PLF with Tainted in the package description (spotted by mikala)

* Thu Jun 16 2011 ahmad <ahmad> 3.6.8-3.mga2.tainted
+ Revision: 108336
- Drop X11-devel BR, doesn't seem needed any more
- Enable tainted build

* Fri Feb 25 2011 ennael <ennael> 3.6.8-2.mga1
+ Revision: 59449
- remove more
- clean spec file
- imported package opal3


* Mon Dec 06 2010 Götz Waschk <waschk@mandriva.org> 3.6.8-2mdv2011.0
+ Revision: 612286
- rebuild without celt, 0.9.1 is not supported

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 3.6.8-1mdv2011.0
+ Revision: 552112
- fix build
- new version
- drop patch
- bump ptlib dep

* Wed May 05 2010 Götz Waschk <waschk@mandriva.org> 3.6.6-8mdv2010.1
+ Revision: 542339
- rebuild

* Fri Apr 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.6.6-7mdv2010.1
+ Revision: 533300
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6.6-6mdv2010.1
+ Revision: 511600
- rebuilt against openssl-0.9.8m

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 3.6.6-5mdv2010.1
+ Revision: 497058
- rebuild for new celt

* Sat Jan 23 2010 Götz Waschk <waschk@mandriva.org> 3.6.6-4mdv2010.1
+ Revision: 495216
- rebuild

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 3.6.6-3mdv2010.1
+ Revision: 475965
- rebuild

* Mon Nov 09 2009 Götz Waschk <waschk@mandriva.org> 3.6.6-2mdv2010.1
+ Revision: 463550
- fix compilation with new celt

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 3.6.6-1mdv2010.0
+ Revision: 447473
- new version

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 3.6.4-1mdv2010.0
+ Revision: 393330
- new version
- drop patch

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 3.6.2-2mdv2010.0
+ Revision: 377935
- fix for gcc 4.4

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 3.6.2-1mdv2010.0
+ Revision: 377717
- update to new version 3.6.2

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-3mdv2009.1
+ Revision: 357310
- really disable optmization

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-2mdv2009.1
+ Revision: 357303
- disable optimization (bug #48476)

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 3.6.1-1mdv2009.1
+ Revision: 357189
- new version
- bump ptlib dep

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-3mdv2009.1
+ Revision: 354221
- disable stack align option again

* Sun Mar 08 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-2mdv2009.1
+ Revision: 352997
- enable stack align hack for ffmpeg

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 3.6.0-1mdv2009.1
+ Revision: 347632
- new version
- drop patch
- enable celt support
- bump ptlib dep

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-3mdv2009.1
+ Revision: 332437
- fix h263 plugin with our ffmpeg

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-2mdv2009.1
+ Revision: 326524
- add support for building with x264

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 3.5.2-1mdv2009.1
+ Revision: 325479
- new version
- patch for new ffmpeg

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 3.4.2-1mdv2009.1
+ Revision: 295971
- new version
- new major
- bump deps
- fix source URL

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.0
+ Revision: 288199
- don't package incorrect major / minor version symlinks
- obsolete incorrect major packages
- major should be 3.4.1, not 3 (per SONAME and upstream)

* Tue Sep 23 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 287507
- adjust file list for yet another new codec layout
- use correct optflags
- drop both configure flags: one doesn't exist any more and the other was
  incorrect, we want to use system not local speex
- bump the ptlib-devel buildrequire (doesn't build with 2.3.1)
- drop pthread.patch (can't reliably maintain it while underlinking protection
  is disabled)
- disable underlinking protection (it now breaks all the ptlib checks)
- new release 3.4.1

* Tue Sep 02 2008 Adam Williamson <awilliamson@mandriva.org> 3.3.1-1mdv2009.0
+ Revision: 279341
- pkgconfig file's going to libdir now, not prefix/lib
- adjust file list
- update ptlib br
- add pthread.patch to 'fix' (see comment in spec) an underlinking issue
- new release 3.3.1 (from gnome.org)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 206814
- drop libname.patch (no longer needed)
- new release 3.2.0

* Sun Dec 30 2007 Adam Williamson <awilliamson@mandriva.org> 3.1.2-1mdv2008.1
+ Revision: 139479
- import opal3


